library(shiny)

shinyUI(fluidPage(

  titlePanel("Illustrates Probabilities under a Normal Curve"),

  sidebarLayout(
      sidebarPanel(
           numericInput("mu",HTML("Population Mean &mu;"),value=0),                               
           numericInput("sigma",HTML("Population Std. Deviation &sigma;"),value=1),                               
           selectInput("which","Want Inverse Problem?",choices=c("No","Yes")), 
           conditionalPanel( condition = "input.which == 'No'",
                numericInput("low","Left x",value=NA),
                numericInput("high","Right x",value=NA)),
           conditionalPanel( condition = "input.which == 'Yes'",
                numericInput("p","What Probability",value=0.5),
                selectInput("gl","Which Kind?",choices=c("P(X<x)","P(X>x)"))),                
           uiOutput("appinfo"),width=3
        ),
  mainPanel(
      uiOutput("text"),
      plotOutput("plot")
    )
  ),
    
  uiOutput("explainText")    
))

